import Std

def easy : 2 + 2 = 4 := rfl

def less : 3 < 8 := by simp

def easyAndLess : 2 + 2 = 4 ∧ 1 - 1 = 0 := And.intro rfl rfl

def easyAndLess' : 2 + 2 = 4 ∧ 1 - 1 = 0 := by
  constructor
  simp
  simp

def swap (h : a ∧ b) : b ∧ a :=
  match h with
  | ⟨x, y⟩ => ⟨y, x⟩

def swap' : a ∧ b → b ∧ a := by
  intro h
  cases h
  constructor
  . assumption
  . assumption

def third (arr : Array Nat) (ok : 2 < arr.size) : Nat := arr[2]

#eval third #[1, 2, 3] (by simp)

def notOk : ¬(5 < 3) := fun h => by
  cases h
  repeat (rename_i h <;> cases h)
